<div class="dark-caption-wrapper" fxLayout="column" fxLayoutAlign="center center">
  <h3 class="caption" fxLayoutAlign="start center"><mat-icon>map</mat-icon>{{ 'COMPONENTS.MAP.TITLE' | translate }}</h3>
  <small class="text-gray">{{ 'COMPONENTS.MAP.SUBTITLE' | translate }}</small>
</div>

<mat-card *ngIf="!hasFavorites" fxLayout="column" fxLayoutGap="8px" fxLayoutAlign="center center">
  <h4>{{ 'COMPONENTS.MAP.NO_FAVS' | translate }}</h4>
  <p>{{ 'COMPONENTS.MAP.NO_FAVS_HINT' | translate }}</p>
</mat-card>

<mat-card *ngIf="hasFavorites">
  <google-map *ngIf="firstFavorit" [center]="firstFavorit.coords" [zoom]="11" width="100%" height="70vh">
    <map-marker #marker="mapMarker" *ngFor="let fav of favorites" [position]="fav.coords" (mapClick)="openInfoWindow(marker)">
      <map-info-window>
        <app-favoriten-pin [favorit]="fav"></app-favoriten-pin>
      </map-info-window>
    </map-marker>
  </google-map>
</mat-card>
